Nuance LabsDocs
ReferenceAPI overviewBrowser

Abandon a conversation

POST
/conversation/{conversation_id}/abandon

Gives up on a conversation that has not started, freeing its place under your limit on conversations at once. A conversation that started or ended is left as it is.

Authorization

sessionToken
headerAuthorizationBearer <token>

A session token your server minted, st_….

Path Parameters

conversation_id*string

The conversation's id.

Formatuuid

Response Body

Successful Response

application/json
  1. response

Where a conversation stands.

status*ConversationStatus

Where the conversation is in its life.

Value in"created""ready""queued""admitted""connecting""connected""ended""failed""expired"
seconds_remaining*|

Time left in a connected conversation, when it has a time limit.

curl -X POST 'https://api.nuancelabs.ai/conversation/497f6eca-6276-4993-bfeb-53cbbbba6f08/abandon'
{  "status": "created",  "seconds_remaining": 0}